Imports Microsoft.VisualBasic
Imports System
Imports DevExpress.ExpressApp.Win.Editors
Imports DevExpress.ExpressApp.Model
Imports DevExpress.ExpressApp.Editors

<PropertyEditor(GetType([String]), False)> _
Public Class ExcelPropertyEditor
    Inherits WinPropertyEditor
    Public Sub New(ByVal objectType As Type, ByVal info As IModelMemberViewItem)
        MyBase.New(objectType, info)
        ControlBindingProperty = "ExcelInfo"
    End Sub
    Private ExcelUserControlCore As ExcelUserControl = Nothing
    Public ReadOnly Property ExcelUserControl() As ExcelUserControl
        Get
            Return ExcelUserControlCore
        End Get
    End Property
    Protected Overrides Function CreateControlCore() As Object
        ExcelUserControlCore = New ExcelUserControl()
        Return ExcelUserControlCore
    End Function
    Protected Overrides Sub OnAllowEditChanged()
        MyBase.OnAllowEditChanged()

    End Sub
End Class
